package com.ibm.sysmgt.raidmgr.debug;

import com.ibm.sysmgt.raidmgr.mgtGUI.Launch;
import com.ibm.sysmgt.raidmgr.wizard.hotswap.HotSwapConstants;
import com.ibm.sysmgt.storage.api.HotPCISlots;
import com.ibm.sysmgt.storage.api.StorRet;
import com.ibm.sysmgt.raidmgr.util.*;
import com.ibm.sysmgt.raidmgr.images.JCRMImageIcon;

import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;

public class ThreadDebugger extends JFrame implements ActionListener
{
   private JTextField adapterNum;
   private JTextField slotNum;
   private JButton refreshButton;
   private JPanel buttonPanel;
   private JScrollPane tablescrollpane;
   private ThreadDebuggerTableModel model;
   private JTable table;

   public ThreadDebugger(String title)
   {
      super(title);
      buildGUI();

      refreshButton.addActionListener(this);
   }

   private void buildGUI()
   {
      this.setSize(new Dimension(640, 480));

      model = new ThreadDebuggerTableModel();
      TableSorter sorter = new TableSorter(model);
      table = new JTable(sorter);
      sorter.addTableSortListeners(table);
      int tableHeight = table.getPreferredSize().height + table.getTableHeader().getPreferredSize().height + 4;

      tablescrollpane = new JScrollPane(table);
      tablescrollpane.setMinimumSize(new Dimension(640, 1));
      tablescrollpane.setPreferredSize(new Dimension(table.getPreferredSize().width, tableHeight));

      buttonPanel = new JPanel();
      refreshButton = new JButton("Refresh");
      buttonPanel.add(refreshButton);

      this.getContentPane().setLayout(new BorderLayout());
      this.getContentPane().add(tablescrollpane, "Center");
      this.getContentPane().add(buttonPanel, "South");

      this.setIconImage(new JCRMImageIcon("bug6.gif").getImage());
   }

   public static void main(String argv[])
   {
      ThreadDebugger d = new ThreadDebugger("Thread Debugger");
      d.addWindowListener(new WindowAdapter()
                          {
                             public void windowClosing(WindowEvent e)
                             {
                                System.exit(0);
                             }
                          });
      d.show();
   }

   public void actionPerformed(ActionEvent e)
   {
      model.refresh();
   }
}

